'use strict';

// Fake 'now' date time for testing
 const fakeNow = null;

// const fakeNow = Date.parse("2025-05-11T20:15:00");


const fakeTimeDelta = fakeNow === null ? 0 : fakeNow - Date.now();


// Real 'now' date time for production
const nowJS = () => Date.now() + fakeTimeDelta;

// Real 'now' date time for production as luxon DateTime object
const now = () => luxon.DateTime.fromMillis(nowJS());


export {
    now
}
